<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blog Bee
 */
use BBE\Helpers as Helpers;
use BBE\Customizer\Theme_Defaults as Theme_Defaults;
use BBE\Customizer\Section\You_May_Have_Missed as You_May_Have_Missed;

get_header();

	$block_class[] = 'blog-bee-main-wrap';
	$block_class[] = 'card--' . Theme_Defaults::get_theme_option( 'page_container' );
	$block_class[] = 'ratio--' . Theme_Defaults::get_theme_option( 'page_image_ratio' );

	?>

		<div class="bbe-sections-wrap">

			<div class="<?php echo esc_attr( implode( ' ', $block_class ) ); ?>">

				<div class="bbe-container">

					<div class="row">
						
						<?php
						
							ob_start();

							?>

								<main id="primary" class="site-main" <?php Helpers::the_aos_data_attr(); ?>>

									<?php
										while ( have_posts() ) :
											the_post();

											get_template_part( 'template-parts/content', 'page' );

											// If comments are open or we have at least one comment, load up the comment template.
											if ( comments_open() || get_comments_number() ) :
												comments_template();
											endif;

										endwhile; // End of the loop.
									?>

								</main><!-- #main -->

							<?php

							$content = ob_get_clean();

							$content_args = [
								'content'	=>	$content
							];

							get_template_part( 'template-parts/content', 'sidebar-reorder', $content_args );
						
						?>

					</div>

				</div>

			</div>

			<?php You_May_Have_Missed::get_instance()->render_html(); ?>

		</div><!-- .bbe-sections-wrap -->

	<?php

get_footer();
